      LOGICAL FUNCTION EQID (X, Y)
      IMPLICIT NONE
C
C CHECK FOR EQUALITY OF TWO NAMES
C
      INTEGER X(4), Y(4)
C
      INTEGER I
C
C
      EQID = .TRUE.
      DO 10 I = 1, 4
        IF(.NOT.(X(I).EQ. Y(I))) THEN
          EQID = .FALSE.
          RETURN
        ENDIF
C       EQID = EQID .AND. (X(I).EQ.Y(I))
C
10    CONTINUE
C
      RETURN
      END
